Skip to content

My Payment Methods

GET
/api/account/memberships/{memberId}/payment-methods
curl --request GET \
--url https://example.com/api/account/memberships/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/payment-methods \
--header 'Authorization: Bearer <token>'
memberId
required
string format: uuid

OK

Media type application/json
Array<object>
object
id
string format: uuid
merchantId
string format: uuid
memberId
string format: uuid
type
string
Allowed values: Card BankAccount
brand
string
nullable
last4
string
nullable
expiryMonth
integer format: int32
nullable
expiryYear
integer format: int32
nullable
accountName
string
nullable
bsb
string
nullable
isDefault
boolean
priority
integer format: int32
createdAt
string format: date-time
updatedAt
string format: date-time
Example
[
{
"type": "Card"
}
]

Not Found

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}